/***
	Copyright (c) 2008-2010 CommonsWare, LLC
	
	Licensed under the Apache License, Version 2.0 (the "License"); you may
	not use this file except in compliance with the License. You may obtain
	a copy of the License at
		http://www.apache.org/licenses/LICENSE-2.0
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
*/

package com.commonsware.android.inserter;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.provider.ContactsContract.Contacts;
import android.provider.ContactsContract.Intents.Insert;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

public class ContactsInserter extends Activity {
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		Button btn=(Button)findViewById(R.id.insert);
		
		btn.setOnClickListener(onInsert);
	}
	
	View.OnClickListener onInsert=new View.OnClickListener() {
		public void onClick(View v) {
			EditText fld=(EditText)findViewById(R.id.name);
			String name=fld.getText().toString();
			
			fld=(EditText)findViewById(R.id.phone);
			
			String phone=fld.getText().toString();
			Intent i=new Intent(Intent.ACTION_INSERT_OR_EDIT);
			
			i.setType(Contacts.CONTENT_ITEM_TYPE);
			i.putExtra(Insert.NAME, name);
			i.putExtra(Insert.PHONE, phone);
			startActivity(i);
		}
	};
}
