/***
	Copyright (c) 2008-2010 CommonsWare, LLC
	
	Licensed under the Apache License, Version 2.0 (the "License"); you may
	not use this file except in compliance with the License. You may obtain
	a copy of the License at
		http://www.apache.org/licenses/LICENSE-2.0
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
*/

package com.commonsware.android.contacts.spinners;

import android.app.ListActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListAdapter;
import android.widget.Spinner;

public class ContactSpinners extends ListActivity
	implements AdapterView.OnItemSelectedListener {
	private static String[] options={"Contact Names",
																		"Contact Names & Numbers",
																		"Contact Names & Email Addresses"};
	private ListAdapter[] listAdapters=new ListAdapter[3];

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		initListAdapters();
		
		Spinner spin=(Spinner)findViewById(R.id.spinner);
		spin.setOnItemSelectedListener(this);
		
		ArrayAdapter<String> aa=new ArrayAdapter<String>(this,
															android.R.layout.simple_spinner_item,
															options);
		
		aa.setDropDownViewResource(
						android.R.layout.simple_spinner_dropdown_item);
		spin.setAdapter(aa);
	}
	
	public void onItemSelected(AdapterView<?> parent,
																View v, int position, long id) {
		setListAdapter(listAdapters[position]);
	}
	
	public void onNothingSelected(AdapterView<?> parent) {
		// ignore
	}
	
	private void initListAdapters() {
		listAdapters[0]=ContactsAdapterBridge.INSTANCE.buildNameAdapter(this);
		listAdapters[1]=ContactsAdapterBridge.INSTANCE.buildPhonesAdapter(this);
		listAdapters[2]=ContactsAdapterBridge.INSTANCE.buildEmailAdapter(this);
	}
	
}
