/***
	Copyright (c) 2008-2010 CommonsWare, LLC
	
	Licensed under the Apache License, Version 2.0 (the "License"); you may
	not use this file except in compliance with the License. You may obtain
	a copy of the License at
		http://www.apache.org/licenses/LICENSE-2.0
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
*/

package com.commonsware.android.drawable;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.SeekBar;

public class NinePatchDemo extends Activity {
	SeekBar horizontal=null;
	SeekBar vertical=null;
	View thingToResize=null;
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		thingToResize=findViewById(R.id.resize);
	
		horizontal=(SeekBar)findViewById(R.id.horizontal);	
		vertical=(SeekBar)findViewById(R.id.vertical);
		
		horizontal.setMax(176);	// 240 less 64 starting size
		vertical.setMax(176);		// keep it square @ max
		
		horizontal.setOnSeekBarChangeListener(h);
		vertical.setOnSeekBarChangeListener(v);
	}
	
	SeekBar.OnSeekBarChangeListener h=new SeekBar.OnSeekBarChangeListener() {
		public void onProgressChanged(SeekBar seekBar,
																	int progress,
																	boolean fromTouch) {
			ViewGroup.LayoutParams old=thingToResize.getLayoutParams();
			ViewGroup.LayoutParams current=new LinearLayout.LayoutParams(64+progress,
																																	 old.height);
			
			thingToResize.setLayoutParams(current);
		}
		
		public void onStartTrackingTouch(SeekBar seekBar) {
			// unused
		}
		
		public void onStopTrackingTouch(SeekBar seekBar) {
			// unused
		}
	};
	
	SeekBar.OnSeekBarChangeListener v=new SeekBar.OnSeekBarChangeListener() {
		public void onProgressChanged(SeekBar seekBar,
																	int progress,
																	boolean fromTouch) {
			ViewGroup.LayoutParams old=thingToResize.getLayoutParams();
			ViewGroup.LayoutParams current=new LinearLayout.LayoutParams(old.width,
																																	 64+progress);
			
			thingToResize.setLayoutParams(current);
		}
		
		public void onStartTrackingTouch(SeekBar seekBar) {
			// unused
		}
		
		public void onStopTrackingTouch(SeekBar seekBar) {
			// unused
		}
	};
}
